=== src/openalpr/CMakeLists.txt ===
--- 
+++ 
@@ -5,22 +5,26 @@
  alpr.cpp
  alpr_impl.cpp
  config.cpp
+ config_helper.cpp
  detection/detector.cpp
  detection/detectorcpu.cpp
  detection/detectorcuda.cpp
  detection/detectorocl.cpp
  detection/detectorfactory.cpp
  detection/detectormorph.cpp
+ detection/detectormask.cpp
  licenseplatecandidate.cpp
  utility.cpp
- ocr.cpp
+ ocr/tesseract_ocr.cpp
+ ocr/ocr.cpp
+ ocr/ocrfactory.cpp
  postprocess/postprocess.cpp
  postprocess/regexrule.cpp
  binarize_wolf.cpp
- segmentation/charactersegmenter.cpp
- segmentation/histogram.cpp
- segmentation/histogramvertical.cpp
- segmentation/histogramhorizontal.cpp
+ ocr/segmentation/charactersegmenter.cpp
+ ocr/segmentation/histogram.cpp
+ ocr/segmentation/histogramvertical.cpp
+ ocr/segmentation/histogramhorizontal.cpp
  edges/edgefinder.cpp
  edges/platecorners.cpp
  edges/platelines.cpp
