=== src/openalpr/simpleini/CMakeLists.txt ===


set(simpleini_source_files
 ConvertUTF.c
)


add_library(simpleini ${simpleini_source_files})
