=== debian/changelog ===
openalpr (2.3.0-1build4) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:38:19 +0000

openalpr (2.3.0-1build3) bionic; urgency=medium

  * No-change rebuild for tesseract soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 06:20:59 +0000

openalpr (2.3.0-1build2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 13:00:08 +0100

openalpr (2.3.0-1build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 14:06:06 +0200

openalpr (2.3.0-1) unstable; urgency=low

  * Added plate detection mask and prewarp config changes via API
  * Improved plate patterns
  * Improved accuracy
  * Upload sponsored by Petter Reinholdtsen

 -- Matthew Hill <matthill@openalpr.com>  Sat, 17 Sep 2016 11:27:25 -0500
