=== debian/control ===
Source: openalpr
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Hill <matthill@openalpr.com>
Build-Depends: debhelper (>= 9), cmake, quilt, 
 libtesseract-dev, libleptonica-dev, liblog4cplus-dev,
 libcurl3-dev, libopencv-dev, default-jdk,
 python, python3, dh-python
Standards-Version: 3.9.6
Homepage: https://github.com/openalpr/openalpr
Vcs-Browser: https://github.com/openalpr/openalpr
Vcs-Git: https://github.com/openalpr/openalpr.git

Package: libopenalpr2
Section: libs
Architecture: any
Depends: libopenalpr-data (= ${source:Version}), ${shlibs:Depends},
 ${misc:Depends}
Description: Automated License Plate Recognition library (OpenALPR)
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 This package contains the runtime libraries used to interface with OpenALPR.

Package: libopenalpr-dev
Section: libdevel
Architecture: any
Depends: libopenalpr2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the OpenALPR library
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 This package contains the header files and static libraries used to link
 OpenALPR into another program.

Package: libopenalpr-data
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: Runtime data for the OpenALPR library
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 This package contains the runtime training data used by OpenALPR to recognize
 license plates from various countries. 

Package: openalpr
Architecture: any
Depends: libopenalpr2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Command line program to operate the OpenALPR library
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 This package contains a command-line program to analyze images for license 
 plates. 

Package: openalpr-daemon
Architecture: any
Depends: libopenalpr2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 adduser,
 beanstalkd
Description: Daemon to run OpenALPR in the background
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 The OpenALPR daemon allows you to monitor a camera stream for license plate
 numbers in the background. Alprd runs as a daemon process on Linux.
 .
 The plate numbers can be streamed to another server (via HTTP posts) or can be
 consumed programmatically via a beanstalkd queue.

Package: openalpr-utils
Section: utils
Architecture: any
Depends: libopenalpr2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for the OpenALPR library
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 The OpenALPR utils package contains a collection of binaries that help with 
 training new data.  The following binaries are included:
 .
 openalpr-utils-calibrate - Calibrates the software for cameras capturing plate
 images at an angle
 .
 openalpr-utils-benchmark - Benchmarks accuracy/speed against a testing dataset
 .
 openalpr-utils-tagplates - Utility to tag the location and plate number for 
 testing and training
 .
 openalpr-utils-classifychars - Extracts character images from cropped plate
 images for OCR training
 .
 openalpr-utils-prepcharsfortraining - Reformates character images into a format
 that Tesseract can use for OCR training

Package: python-openalpr
Section: python
Architecture: all
Depends: libopenalpr-dev (>= ${binary:Version}), 
 ${python:Depends}, ${misc:Depends}
Description: Python binding for OpenALPR library
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 The Python package allows Python code to interface with OpenALPR directly via 
 native Python bindings.

Package: python3-openalpr
Section: python
Architecture: all
Depends: libopenalpr-dev (>= ${source:Version}), 
 ${python3:Depends}, ${misc:Depends}
Description: Python 3 binding for OpenALPR library
 OpenALPR is an open source Automatic License Plate Recognition library written
 in C++. The library analyzes images and identifies license plates. The output
 is the text representation of any license plate characters found in the image.
 .
 The Python 3 package allows Python 3 code to interface with OpenALPR directly 
 via native Python 3 bindings.
